Subject: Re: [ANCP] Review of draft-ietf-ancp-mib-an-09.txt

From: "DE CNODDER, STEFAAN (STEFAAN)" <[email-masked]>
Date: Wed, 4 Jul 2012 09:31:13 +0200

Tom,

It looks to me indeed worthwile to have some more detailed counters.  I think adding 4 statistics for the adjacency messages (syn, synack, ack, rstack) is useful.

For the AN, this means 8 counters: 4 for receiving syn, synack, ack, and restack, and 4 for sending syn, synack, ack, rstack.  A failure could for instance also be that not nothing is received back from the NAS which can be derived from an increasing sent-syn counter but a recieved-synack counter remaining at zero.

For other failures like in the ANCP request messages (Result field = 0x4), this looks more like more useful information on the NAS and not on the AN.  It is the NAS that receives the response and RFC 6320 says it is the receiver of the response that should take action (section 3.6.1.3), so these counters should be on the NAS and not on the AN.

Per-line results is also something on the NAS.  If the NAS starts an OAM test, the result of that test should also be visible on the NAS and not on the AN.  The same for the content of the Port Up messages.  For line information, the AN has other MIBs (like XDSL MIBs) that shows the state of the lines.

Capabilities can be added by other MIB documents.  For instance, if someone writes a MIB module on multicast, a new object can be define with this capability.  An alternative could be augmenting the current table with a new object that obsoletes the current object that sets the capability.

regards,
Stefaan

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Tom Taylor
Sent: vrijdag 29 juni 2012 22:10
To: [email-masked]
Subject: [ANCP] Review of draft-ietf-ancp-mib-an-09.txt

I reviewed this document. With the qualification that I have little MIB 
experience, it looks pretty good. I did wonder whether aggregate counts 
of failure responses should be broken out for debugging purposes, the 
idea being that a rising aggregate failure count might be a trigger for 
further investigation.

Is there already a MIB to track per-line results?

How do additional capabilities (e.g., the languishing-in-limbo 
multiplexing capabilities) get added?

Tom Taylor
_______________________________________________
ANCP mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ancp